| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSndSysLoader Struct Reference
[Sound system]

The sound loader is used to load sound files given a raw input data stream. More...

`#include <isndsys/ss_loader.h>`

Inheritance diagram for iSndSysLoader:

[legend]
List of all members.

## Public Member Functions
virtual csPtr< iSndSysData > | LoadSound (iDataBuffer *buffer, const char *pDescription=0)=0
| Create a sound object from raw input data.
| SCF_INTERFACE (iSndSysLoader, 0, 3, 0)
| SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.

## Detailed Description

The sound loader is used to load sound files given a raw input data stream.

Definition at line 38 of file ss_loader.h.

## Member Function Documentation

virtual csPtr<iSndSysData> iSndSysLoader::LoadSound | ( | iDataBuffer * | buffer,
|  | const char * | pDescription = `0` |
| ) |  |  | `[pure virtual]`

Create a sound object from raw input data.

iSndSysLoader::SCF_INTERFACE | ( | iSndSysLoader | ,
|  | 0 | ,
|  | 3 | ,
|  | 0 |  |
| ) |  |  |

SCF2006 - See http://www.crystalspace3d.org/cseps/csep-0010.html.

The documentation for this struct was generated from the following file:

- isndsys/ss_loader.h